Program cht; //Название программы
var a: integer;
b: byte; //Описание переменных
Begin //Начало программы
repeat
  Writeln ('Введите число'); //Диалог с пользователем
  Readln (a); //Считывание числа
  if a mod 2 = 0 then //Проверка на чётность
  writeln ('Это число чётное') //Вывод, если чётное
  else //Иначе
  writeln ('Число нечётно'); //Вывод на нечётное
until b=1
end. //Конец программы